Subject: groff-1.11a fallen :) (no problem anymore)
From: [email-masked] (Konstantin Metlov)

7 Mar 1998 19:20:14 -0800
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain;
	charset="koi8-r"
Content-Transfer-Encoding: 7bit
To: "GNU-WIN32" <[email-masked]>

I'm in a hurry to report a success ;))

After playing several days with groff.... O... really !!!
I even tried to debug it with gdb ;)))
Attempts to debug lead to strange results... something as I try to "print"
instance variable(C++)
inside the method and it has one value,... outside of the method it had
another....
Then I remembered, that to debug optimized programs is stupid... tried to
recompile it without -O switch ...

And .... IT WORKED !!!!

So, to fix it for cygwin it is needed to throw out -O switch in two places
in top level Makefile.

With the best regards,
           Konstantin Metlov.

PS Sorry for many details describing the process... in short (sed -e
'y/-g -O/-g/' Makefile)( right ?)
PPS I tested this on groff-1.11a as mentioned in subject. But it could work
for 1.10 also...
PPPS The fact that non-optimized program works and optimized does not shows
that there are some errors in compiler...
PPPPS If somebody interested in my debugging attempts I can describe a patch
which for sure leads to strange behaviour, mentioned...
PPPPPS I used install program by Roger Kommer and smoked a cigarette during
make install.
PPPPPPS THE LAST ONE ;))

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".